<meta charset="utf-8">

<h1>Bem vindo ao jogo advinha_mais</h1>
<input/>
<button>Compare com o meu segredo</button>

<script>
    
    function sorteia() {
        return Math.round(Math.random() * 10);
    }
    
    function sorteiaNumeros(quantidade) {
        var segredos = []
        var auxiliar = 0;
        while(auxiliar < quantidade) {
            numero = sorteia();
            if (segredos.includes(numero)){
                continue;
            } else {
                segredos.push(numero);
                auxiliar++;
            }
        }
        return segredos
    }

    var segredos = [];
    segredos = sorteiaNumeros(4)
    
    var input = document.querySelector("input");
    input.focus();

    function verifica() {
        if(segredos.includes(parseInt(input.value))) {
            alert("VOCÊ ACERTOU!");
            
        } else {
            alert("VOCÊ ERROU!!!");
        }
        
        input.value = "";
        input.focus();
        
    }

    var button = document.querySelector("button");
    button.onclick = verifica;


</script>